/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: MessageIDs.java,v 1.1.2.1 2003/12/11 11:11:53 ppoi Exp $
 */
package tsukuba_bunko.peko.resource;

import	java.text.MessageFormat;

import	tsukuba_bunko.peko.MessageID;


/**
 * <code>tsukuba_bunko.peko.resource</code> で使用されるログメッセージ ID の定義集です。
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1.2.1 $
 */
public final class MessageIDs	{

	/**
	 * RES0001W : "指定されたリソースは存在しません。: {0}" / {0}:resourceID
	 */
	public static final MessageID	RES0001W = new MessageID( "RES0001W", new MessageFormat("missing resource. :{0}") );

	/**
	 * RES0002F : "リソースファイルが存在しません。: {0]" / {0}:resource file
	 */
	public static final MessageID	RES0002F = new MessageID( "RES0002F" );

	/**
	 * RES0003F : "リソースの読み込みに失敗しました。: {0}" / {0}:resource file
	 */
	public static final MessageID	RES0003F = new MessageID( "RES0003F" );

	/**
	 * RES0004W : "location.dat のクローズに失敗しました。"
	 */
	public static final MessageID	RES0004W = new MessageID( "RES0004W" );

	/**
	 * RES0005F : "指定された文字エンコーディングは使用できません。: {0}" / {0}:encoding
	 */
	public static final MessageID	RES0005F = new MessageID( "RES0005F" );

	/**
	 * RES0006F : "不正なインストールディレクトリが指定されました。"
	 */
	public static final MessageID	RES0006F = new MessageID( "RES0006F" );

	/**
	 * RES0007F : "location.dat の更新に失敗しました。"
	 */
	public static final MessageID	RES0007F = new MessageID( "RES0007F" );

	/**
	 * RES0008F : "不正なディレクトリが指定されました。: {0}" / {0}:directory
	 */
	public static final MessageID	RES0008F = new MessageID( "RES0008F" );

	/**
	 * RES0009F : "ディレクトリ情報の構成に失敗しました。"
	 */
	public static final MessageID	RES0009F = new MessageID( "RES0009F" );

	/**
	 * RES0010W : "デフォルトロケール {0} を使用します。" / {0}:デフォルトロケール
	 */
	public static final MessageID	RES0010W = new MessageID( "RES0010W" );

	/**
	 * RES0011F : "データタイプ {0} に対応する有効なディレクトリ／アーカイブが指定されていません。" / {0}:データタイプ
	 */
	public static final MessageID	RES0011F = new MessageID( "RES0011F" );

	/**
	 * RES0012F : "セーブデータディレクトリと同名のファイルが既に存在しています。"
	 */
	public static final MessageID	RES0012F = new MessageID( "RES0012F" );

	/**
	 * RES0013F : "セーブデータディレクトリの作成に失敗しました。"
	 */
	public static final MessageID	RES0013F = new MessageID( "RES0013F" );

	/**
	 * RES0014F : "リソースローダのインスタンス化に失敗しました。"
	 */
	public static final MessageID	RES0014F = new MessageID( "RES0014F" );


	/**
	 * <code>MessaggeID</code> のインスタンスは生成できません。
	 */
	private MessageIDs()
	{
	}
}